#include <stdio.h>

int 
main() { 
	int n, X[128], Y[128];

	printf("Enter the size of the vector: \n");
	scanf("%d", &n);

	printf("Enter the elements of the vector X:\n");
	for (int i = 0; i < n; i++) {
		scanf("%d", &X[i]);
	}

	for (int i = 0; i < n; i++) {
		Y[i] = X[i] * X[i];
	}

	for (int i = 0; i < n; i++) {
		printf("%d ", Y[i]);
	}
	putchar('\n');

return 0;}



